Page MenuHomePhabricator

[llvm] [cmake] Add possibility to use ChooseMSVCCRT.cmake when include LLVM library
ClosedPublic

Authored by igorban on Sep 4 2019, 7:43 AM.

Details

Summary

[llvm] [cmake] Add possibility to use ChooseMSVCCRT.cmake when include LLVM library

Modify LLVMConfig to produce LLVM_USE_CRT variables in build-directory. It helps to set the same compiler debug options like in builded library.

Diff Detail

Repository
rL LLVM

Event Timeline

igorban created this revision.Sep 4 2019, 7:43 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 4 2019, 7:43 AM

Excuse me, I have add to reviewers people, who review this file. Add relative people, if needed, please.
This change helps to build library and user-tool with same flags.

RKSimon added a reviewer: rnk.Sep 5 2019, 2:18 PM
rnk accepted this revision.Sep 5 2019, 3:32 PM

lgtm, it's in the LLVM_ namespace, so it couldn't hurt to record it.

This revision is now accepted and ready to land.Sep 5 2019, 3:32 PM
sgraenitz accepted this revision.Sep 18 2019, 4:08 AM

Did this land?

rnk added a comment.Sep 18 2019, 2:54 PM

I don't think so. Is there a committer interested in doing this? I'm busy.

igorban closed this revision.Sep 22 2019, 7:32 AM

I hope it will help to land. I was think, what "accepted"-action is enough for push changes.

I hope it will help to land. I was think, what "accepted"-action is enough for push changes.

I've committed this at rL372610